List plans
curl --request GET \
--url https://www.getprescience.com/api/partner/v1/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.getprescience.com/api/partner/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.getprescience.com/api/partner/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plans": [
{
"id": "diamond",
"name": "Prescience Diamond",
"carrierName": "Prescience",
"planType": "self_funded_level_funded",
"deductibleIndividualCents": 150000,
"deductibleFamilyCents": 300000,
"oopMaxIndividualCents": 705000,
"oopMaxFamilyCents": 1410000,
"hsaEligible": true,
"employeePremiumCents": 0,
"assets": {
"logoUrl": "https://www.getprescience.com/img/prescience-wordmark.svg",
"markUrl": "https://www.getprescience.com/img/prescience-mark.svg"
},
"disclaimers": [
"Final plan documents govern. Benefit details are confirmed during onboarding."
]
}
]
}{
"error": "unauthorized",
"message": "Provide a valid partner API key as `Authorization: Bearer psk_...`."
}{
"error": "rate_limited",
"message": "Rate limit exceeded. Retry after 12 seconds."
}{
"error": "server_error",
"message": "Internal error. The request was not applied."
}Plans
List plans
Static plan metadata: identifiers, plan classification, plan design amounts, brand assets, and required disclaimers. Combine with a group quote for group-specific pricing.
GET
/
plans
List plans
⌘I